<?php

/* Любые самостоятельные скрипты, модули для cms , готовые сайты под ключ, разработка браузерных игр по вашему тех.заданию, оптимизация(seo), безопасность ресурса на wap фриланс Копеек.нет -> http://koneek.net © Кредитор, icq 441460, e-mail kpegumop@yandex.ru */

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Моя одежда';
error_reporting (0);
include_once '../sys/inc/thead.php';
title();
aut();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");
echo "<link rel='stylesheet' href='style.css' type='text/css' /><center>";
echo "<div class='ferm3'><img src='shop25.gif'></center>";
echo "<div class='ferm3'>";
If (!isset($_GET['p']) || !ereg("^[a-z0-9_-]{1,15}$",$_GET['p'])) $p=false; else $p=$_GET['p'];
switch ($p){


default:

$kk=mysql_query("SELECT * FROM `k_closet` WHERE `uid`='".$user['id']."'");
echo"<center>";
include_once 'inc/navig.php';
echo"</center>";
if(!mysql_num_rows($kk)){
echo 'Гардероб пуст<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_closet` WHERE `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="closet.php?p=nadet&amp;id='.$row['id'].'">'.$row['name'].'</a><br/>';
};
};
break;

/*Вещи для головы*/

case 'head':

echo "<div class=\"menu_razd\">Головной убор</div>";

$kk=mysql_query("SELECT * FROM `k_closet` WHERE `type`='head' AND `uid`='".$user['id']."'");

include_once 'inc/navig.php';

if(!mysql_num_rows($kk)){
echo 'Oops ! нет ничего...<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_closet` WHERE `type`='head' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="closet.php?p=nadet&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="closet.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;


case 'torso':

echo "<div class=\"menu_razd\">Одежда на торса</div>";

$kk=mysql_query("SELECT * FROM `k_closet` WHERE `type`='torso' AND `uid`='".$user['id']."'");

include_once 'inc/navig.php';

if(!mysql_num_rows($kk)){
echo 'Oops ! пустует<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_closet` WHERE `type`='torso' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="closet.php?p=nadet&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="closet.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;

/*Вещи для рук*/

case 'hands':

echo "<div class=\"menu_razd\">Вещи для рук</div>";

$kk=mysql_query("SELECT * FROM `k_closet` WHERE `type`='hands' AND `uid`='".$user['id']."'");

include_once 'inc/navig.php';

if(!mysql_num_rows($kk)){
echo 'Для рук ничего нет<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_closet` WHERE `type`='hands' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="closet.php?p=nadet&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="closet.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;

/*Вещи для ног*/

case 'feet':

echo "<div class=\"menu_razd\">Вещи для ног</div>";

$kk=mysql_query("SELECT * FROM `k_closet` WHERE `type`='feet' AND `uid`='".$user['id']."'");

include_once 'inc/navig.php';

if(!mysql_num_rows($kk)){
echo 'Для ног ничего нет<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_closet` WHERE `type`='feet' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="closet.php?p=nadet&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="closet.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;

/*Обувь*/

case 'shoe':

echo "<div class=\"menu_razd\">Обувь</div>";

$kk=mysql_query("SELECT * FROM `k_closet` WHERE `type`='shoe' AND `uid`='".$user['id']."'");

include_once 'inc/navig.php';

if(!mysql_num_rows($kk)){
echo 'Обуви пока нет...<br/>';
}else{
$x=mysql_query("SELECT * FROM `kk_closet` WHERE `type`='shoe' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="closet.php?p=nadet&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="closet.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;
/*Все аксесуары. 3 раздела*/

case 'akses':

echo "<div class=\"menu_razd\">Аксесуары</div>";

$kk=mysql_query("SELECT * FROM `k_closet` WHERE `type`='akses' AND `uid`='".$user['id']."'");

include_once 'inc/navig.php';

if(!mysql_num_rows($kk)){
echo 'Аксесуаров пока нет...<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_closet` WHERE `type`='akses' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="closet.php?p=nadet&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="closet.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;


case 'akses_two':

echo "<div class=\"menu_razd\">Доп.аксесуары</div>";

$kk=mysql_query("SELECT * FROM `k_closet` WHERE `type`='akses2' AND `uid`='".$user['id']."'");

include_once 'inc/navig.php';

if(!mysql_num_rows($kk)){
echo 'Пока тут пусто<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_closet` WHERE `type`='akses_two' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){
echo '&raquo; <a href="closet.php?p=nadet&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="closet.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;


case 'akses_three':

echo "<div class=\"menu_razd\">Доп.аксесуары</div>";

$kk=mysql_query("SELECT * FROM `k_closet` WHERE `type`='akses_three' AND `uid`='".$user['id']."'");

include_once 'inc/navig.php';

if(!mysql_num_rows($kk)){
echo 'Пока тут пусто...<br/>';
}else{
$x=mysql_query("SELECT * FROM `k_closet` WHERE `type`='akses3' AND `uid`='".$user['id']."'");
while($row=mysql_fetch_assoc($x)){

echo '&raquo; <a href="closet.php?p=nadet&amp;id='.$row['id'].'">'.$row['name'].'</a> <a href="closet.php?p=del&amp;id='.$row['id'].'">[x]</a><br/>';
};
};
break;

/*Натягиваем вещь на себя*/

case 'nadet':

echo "<div class=\"menu_razd\">Одеваемся</div>";

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};

$x=mysql_query("SELECT * FROM `k_closet` WHERE `id`='$id' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){
echo 'Такой вещи несуществует!';
break;
};

$x=mysql_fetch_assoc($x);
$w=mysql_query("SELECT * FROM `k_user` WHERE `type`='".$x['type']."' AND `uid`='".$user['id']."'");
$w=mysql_fetch_assoc($w);
if($x['type']==$w['type']){
echo'На вас уже одето <b>'.$w['name'].'</b><br />';
}else{
mysql_query("DELETE FROM `k_closet` WHERE `id`='$id'");
mysql_query("INSERT INTO `k_user` (`vid`,`uid`,`name`,`opis`,`path`,`type`,`cena`,`pol`,`sex`,`shik`,`del`,`sport`,`epat`,`glam`)VALUES('".$x['id']."','".$x['uid']."','".$x['name']."','".$x['opis']."','".$x['path']."','".$x['type']."','".$x['cena']."','".$x['pol']."','".$x['sex']."','".$x['shik']."','".$x['del']."','".$x['sport']."','".$x['epat']."','".$x['glam']."')");
echo 'Вы одели <b>'.$x['name'].'</b><br/>';
};
break;


case 'snyat':

echo "<div class=\"menu_razd\">Раздеваемся</div>";

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};
$x=mysql_query("SELECT * FROM `k_user` WHERE `id`='$id' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){
echo 'Такой вещи не существует!';
break;
};
$x=mysql_fetch_assoc($x);
mysql_query("DELETE FROM `k_user` WHERE `id`='$id'");
mysql_query("INSERT INTO `k_closet` (`vid`,`uid`,`name`,`opis`,`path`,`type`,`cena`,`pol`,`sex`,`shik`,`del`,`sport`,`epat`,`glam`)VALUES('".$x['id']."','".$x['uid']."','".$x['name']."','".$x['opis']."','".$x['path']."','".$x['type']."','".$x['cena']."','".$x['pol']."','".$x['sex']."','".$x['shik']."','".$x['del']."','".$x['sport']."','".$x['epat']."','".$x['glam']."')");
echo 'Вы сняли с себя <b>'.$x['name'].'</b><br/>';
break;

/*Удаляем вещь*/

case 'del':

echo "<div class=\"menu_razd\">Выбрасываем вещь</div>";

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};
$x=mysql_query("SELECT * FROM `k_closet` WHERE `id`='$id' AND `uid`='".$user['id']."'");
if(!mysql_num_rows($x)){
echo 'Такой вещи не существует!';
break;
};
$x=mysql_fetch_assoc($x);
mysql_query("DELETE FROM `k_closet` WHERE `id`='$id'");
echo 'Вы выбросили <b>'.$x['name'].'</b><br/>';
break;


};

echo'<div class=\'foot\'>';
echo'<a href="closet.php">Мой Гардероб</a><br>';
echo"√ <a href=\"original_appearance.php?id=$user[id]\">Внешний вид</a><br />";
echo '√ <a href="shop_of_clothes.php">Магазин Одежды</a><br />';
echo "√ <a href='my.php'>Моя ферма</a><br/>";
echo "√ <a href='index.php'>Главная игры</a>";
echo "</div>";
echo'</div>';

include_once '../sys/inc/tfoot.php';
?>